@font-face {
  font-family: "adobesourcecode";
  src: url("/fonts/SourceCodePro-Light.otf");
  font-weight: normal;
}

html,
body {
  width: 100%;
  height: 100%;
  font-family: "Avenir Next", "Avenir", "OpenSans", "Helvetica Neue",
    "Helvetica", sans-serif;
  font-size: 20pt;
}

h1 {
  font-size: 70pt;
}

#logo {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: baseline;
  align-content: stretch;
}

#logo i {
  position: relative;
  padding-right: 0.2em;
  top: 0.03125em;
}

#logo-dot {
  width: 0.25em;
  height: 0.25em;
  background-color: #6543e9;
  border-radius: 100%;
}

a,
a:visited {
  cursor: pointer;
  color: #6543e9;
  text-decoration: none;
}

a:hover {
  color: #8783be;
}

.jumbotron {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: flex-start;
  align-items: center;
  background-color: #6543e9;
  padding: 1rem 0;
}

.h1,
h2 {
  margin: 0;
  padding: 0;
}

.jumbotron > * {
  margin: 0.5rem 2rem;
}

.jumbo-container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 8rem;
  height: 8rem;
  background-color: #e7e8eb;
  box-shadow: 0.7rem 0.7rem 0 #fefb85;
}

.jumbo-image {
  width: 90%;
  height: auto;
}

.jumbo-header h2 {
  display: inline-block;
  padding: 0.4rem;
  font-size: 50pt;
  font-weight: bold;
}

.jumbotron .first {
  margin-left: 2rem;
  background-color: #e7e8eb;
  box-shadow: 0.7rem -0.7rem 0 #fefb85;
}

.jumbotron .second {
  position: relative;
  top: -1px;
  margin-left: 0rem;
  background-color: #e7e8eb;
  box-shadow: -0.7rem 0.7rem 0 #fefb85;
}

.jumbotron .third {
  position: relative;
  top: -2px;
  margin-left: 3rem;
  background-color: #e7e8eb;
  box-shadow: 0.7rem 0.7rem 0 #fefb85;
}

main {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
}

main > h1 {
  margin: 0;
  padding: 0;
}

.social a,
.social a:visited {
  color: #292a2f;
  padding: 0.5em;
  font-size: 22pt;
}

.social .social-black:hover {
  color: #363748;
}

.social .social-blue:hover {
  color: #0a6fff;
}

.social .social-orange:hover {
  color: #fd8f3f;
}

.social .social-cyan:hover {
  color: #2cb6b1;
}

.social .social-lila:hover {
  color: #6543e9;
}

section h2,
section p {
  padding-left: 1rem;
  padding-right: 1rem;
}

section:nth-child(2n-1) {
  text-align: right;
}

section {
  padding-bottom: 1rem;
}

section em {
  font-weight: bold;
}

section h2 {
  font-size: 24pt;
}

.portfolio {
  padding-bottom: 0;
  padding: 0 env(safe-area-inset-right) 0 env(safe-area-inset-left);
}

.portfolio-container {
  display: flex;
  flex: 0 1 auto;
  flex-direction: row;
  flex-wrap: wrap;
}

.project {
  font-size: 16pt;
  flex-basis: 100%;
  max-width: 100%;
  position: relative;
  text-align: center;
  background-color: #68878f;
  overflow: hidden;
}

.project img {
  width: 100%;
  height: 100%;
  display: flex;
  overflow: hidden;
}

.project-text,
.project-info {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 0.1rem 0.5rem;
}

a.project-text-main {
  color: #e7e8eb;
  font-size: 75pt;
}

.project-info small {
  font-style: italic;
}

.project-info {
  background-color: rgba(41, 43, 53, 0.7);
  display: none;
}

.project-info a {
  color: #e7e8eb;
  padding: 0.125rem 0.25rem;
  margin: 0.1rem 0;
}

.project-info span {
  padding: 0.5rem 0;
}

.project-info small {
  font-style: italic;
}

.project-info-header,
.project-info-header a {
  color: #e7e8eb;
  font-weight: bold;
  text-decoration: none;
}

.project:hover .project-info {
  display: flex;
}

.project:hover img,
.project:hover .badge {
  filter: blur(12px);
}

.button {
  border: 2px solid #6543e9;
  padding: 0.125rem 0.25rem;
  -webkit-transition: all 250ms ease-in-out;
  -moz-transition: all 250ms ease-in-out;
  -o-transition: all 250ms ease-in-out;
  transition: all 250ms ease-in-out;
}

.button:hover {
  color: #e7e8eb;
  background-color: #6543e9;
}

.button-white,
a.button-white {
  color: #e7e8eb;
  border: 2px solid #e7e8eb;
}

.button-white:hover {
  color: #1f1f24;
  background-color: #e7e8eb;
}

.codesection {
  font-family: "adobesourcecode", Menlo, sans-serif;
  font-weight: 600;
  justify-content: space-between;
  align-items: flex-end;
  flex-wrap: wrap-reverse;
  padding: 1rem 3rem;
}

section.privacy {
  text-align: left !important;
}

footer {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  align-content: center;
  font-size: 11pt;
  padding: 0 env(safe-area-inset-right) env(safe-area-inset-bottom)
    env(safe-area-inset-left);
}

footer > div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

footer > * {
  padding: 0 0.5em;
}

footer > div > * {
  padding: 0 0.2em;
}

/* COLORS & DARK MODE */

html {
  color: #292a2f;
  background-color: #e7e8eb;
}

.social a,
.social a:visited {
  color: #292a2f;
}

#work {
  color: #e12da0;
  padding: 1em;
}

#projects {
  color: #2cb6b1;
  padding: 1em;
}

@media (prefers-color-scheme: dark) {
  html {
    color: #e7e8eb;
    background-color: #292a2f;
  }

  .social a,
  .social a:visited {
    color: #e7e8eb;
  }

  #work {
    color: #ef82b1;
  }

  #projects {
    color: #99e8d5;
  }

  #logo-dot {
    color: #8783be;
  }

  a,
  a:visited {
    cursor: pointer;
    color: #8783be;
    text-decoration: none;
  }

  a:hover {
    color: #6543e9;
  }
}

/* SIZES */

.text-container {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  align-content: center;
  padding: 0 env(safe-area-inset-right) 0 env(safe-area-inset-left);
}

.text-container > * {
  padding: 1em 0;
  width: 100%;
  max-width: 1200px;
}

@media (min-width: 576px) {
  h1 {
    font-size: 90pt;
  }
  .project {
    flex-basis: 50%;
    max-width: 50%;
  }
  .jumbotron {
    flex-direction: row;
  }
  footer {
    flex-direction: row;
    justify-content: space-between;
    align-content: stretch;
    font-size: 13pt;
  }
  footer > div {
    padding: 0 1em;
  }
}

@media (min-width: 900px) {
  h1 {
    font-size: 100pt;
  }
  .project {
    flex-basis: 33.333333%;
    max-width: 33.333333%;
  }
  .project-details {
    left: 3rem;
    width: calc(100vw - 8.5rem);
    padding: 1.5rem;
  }
}

@media (min-width: 1100px) {
  h1 {
    font-size: 120pt;
  }
  .project {
    flex-basis: 25%;
    max-width: 25%;
  }
  .project.work {
    flex-basis: 25%;
    max-width: 25%;
  }
}

@media (min-width: 1280px) {
  .project {
    flex-basis: 20%;
    max-width: 20%;
  }
  .project.work {
    flex-basis: 25%;
    max-width: 25%;
  }
}
